/*
 *	aegis - project change supervisor
 *	Copyright (C) 2003 Peter Miller;
 *	All rights reserved.
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 *
 * MANIFEST: functions to manipulate projects
 */

#include <ac/string.h>

#include <get/change/list.h>
#include <get/project.h>
#include <get/project/file.h>
#include <get/project/files.h>
#include <get/project/menu.h>
#include <http.h>
#include <project.h>
#include <str_list.h>


void
get_project(project_ty *pp, string_ty *filename, string_list_ty *modifier)
{
    if (modifier->nstrings && 0 == strcmp(filename->str_text, "."))
    {
	if (0 == strcmp(modifier->string[0]->str_text, "menu"))
	{
	    get_project_menu(pp, filename, modifier);
	    return;
	}
	if (0 == strcmp(modifier->string[0]->str_text, "changes"))
	{
	    get_change_list(pp, filename, modifier);
	    return;
	}
	if (0 == strcmp(modifier->string[0]->str_text, "files"))
	{
	    get_project_files(pp, filename, modifier);
	    return;
	}
    }
    get_project_file(pp, filename, modifier);
}
